// clang-format off
const KnownTrampoline kKnownTrampolines[] = {
{"AActivityManager_addUidImportanceListener", GetTrampolineFunc<auto(auto(*)(uint32_t, int32_t, void*) -> void, int32_t, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AActivityManager_getUidImportance", GetTrampolineFunc<auto(uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AActivityManager_isUidActive", GetTrampolineFunc<auto(uint32_t) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AActivityManager_removeUidImportanceListener", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AAssetDir_close", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AAssetDir_getNextFileName", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AAssetDir_rewind", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AAssetManager_fromJava", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AAssetManager_open", GetTrampolineFunc<auto(void*, void*, int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AAssetManager_openDir", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AAsset_close", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AAsset_getBuffer", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AAsset_getLength", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AAsset_getLength64", GetTrampolineFunc<auto(void*) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"AAsset_getRemainingLength", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AAsset_getRemainingLength64", GetTrampolineFunc<auto(void*) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"AAsset_isAllocated", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AAsset_openFileDescriptor", GetTrampolineFunc<auto(void*, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AAsset_openFileDescriptor64", GetTrampolineFunc<auto(void*, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AAsset_read", GetTrampolineFunc<auto(void*, void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AAsset_seek", GetTrampolineFunc<auto(void*, int32_t, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AAsset_seek64", GetTrampolineFunc<auto(void*, int64_t, int32_t) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"AChoreographerFrameCallbackData_getFrameTimeNanos", GetTrampolineFunc<auto(void*) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"AChoreographerFrameCallbackData_getFrameTimelineDeadlineNanos", GetTrampolineFunc<auto(void*, uint32_t) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"AChoreographerFrameCallbackData_getFrameTimelineExpectedPresentationTimeNanos", GetTrampolineFunc<auto(void*, uint32_t) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"AChoreographerFrameCallbackData_getFrameTimelineVsyncId", GetTrampolineFunc<auto(void*, uint32_t) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"AChoreographerFrameCallbackData_getFrameTimelinesLength", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"AChoreographerFrameCallbackData_getPreferredFrameTimelineIndex", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"AChoreographer_getInstance", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AChoreographer_postFrameCallback", DoCustomTrampoline_AChoreographer_postFrameCallback, reinterpret_cast<void*>(DoBadThunk)},
{"AChoreographer_postFrameCallback64", GetTrampolineFunc<auto(void*, auto(*)(int64_t, void*) -> void, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AChoreographer_postFrameCallbackDelayed", DoCustomTrampoline_AChoreographer_postFrameCallbackDelayed, reinterpret_cast<void*>(DoBadThunk)},
{"AChoreographer_postFrameCallbackDelayed64", GetTrampolineFunc<auto(void*, auto(*)(int64_t, void*) -> void, void*, uint32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AChoreographer_postVsyncCallback", GetTrampolineFunc<auto(void*, auto(*)(void*, void*) -> void, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AChoreographer_registerRefreshRateCallback", GetTrampolineFunc<auto(void*, auto(*)(int64_t, void*) -> void, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AChoreographer_unregisterRefreshRateCallback", GetTrampolineFunc<auto(void*, auto(*)(int64_t, void*) -> void, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_copy", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_delete", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_diff", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_fromAssetManager", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getCountry", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getDensity", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getGrammaticalGender", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getKeyboard", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getKeysHidden", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getLanguage", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getLayoutDirection", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getMcc", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getMnc", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getNavHidden", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getNavigation", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getOrientation", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getScreenHeightDp", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getScreenLong", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getScreenRound", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getScreenSize", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getScreenWidthDp", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getSdkVersion", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getSmallestScreenWidthDp", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getTouchscreen", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getUiModeNight", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_getUiModeType", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_isBetterThan", GetTrampolineFunc<auto(void*, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_match", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_new", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setCountry", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setDensity", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setGrammaticalGender", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setKeyboard", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setKeysHidden", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setLanguage", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setLayoutDirection", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setMcc", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setMnc", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setNavHidden", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setNavigation", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setOrientation", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setScreenHeightDp", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setScreenLong", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setScreenSize", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setScreenWidthDp", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setSdkVersion", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setSmallestScreenWidthDp", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setTouchscreen", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setUiModeNight", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AConfiguration_setUiModeType", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AFontMatcher_create", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AFontMatcher_destroy", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AFontMatcher_match", GetTrampolineFunc<auto(void*, void*, void*, uint32_t, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AFontMatcher_setFamilyVariant", GetTrampolineFunc<auto(void*, uint32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AFontMatcher_setLocales", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AFontMatcher_setStyle", GetTrampolineFunc<auto(void*, uint16_t, uint8_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AFont_close", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AFont_getAxisCount", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"AFont_getAxisTag", GetTrampolineFunc<auto(void*, uint32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"AFont_getAxisValue", GetTrampolineFunc<auto(void*, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AFont_getCollectionIndex", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"AFont_getFontFilePath", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AFont_getLocale", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AFont_getWeight", GetTrampolineFunc<auto(void*) -> uint16_t>(), reinterpret_cast<void*>(NULL)},
{"AFont_isItalic", GetTrampolineFunc<auto(void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_acquire", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_allocate", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_describe", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_fromHardwareBuffer", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_getId", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_getNativeHandle", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_isSupported", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_lock", GetTrampolineFunc<auto(void*, uint64_t, int32_t, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_lockAndGetInfo", GetTrampolineFunc<auto(void*, uint64_t, int32_t, void*, void*, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_lockPlanes", GetTrampolineFunc<auto(void*, uint64_t, int32_t, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_recvHandleFromUnixSocket", GetTrampolineFunc<auto(int32_t, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_release", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_sendHandleToUnixSocket", GetTrampolineFunc<auto(void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_toHardwareBuffer", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AHardwareBuffer_unlock", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AInputEvent_getDeviceId", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AInputEvent_getSource", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AInputEvent_getType", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AInputEvent_release", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AInputEvent_toJava", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AInputQueue_attachLooper", DoCustomTrampoline_AInputQueue_attachLooper, reinterpret_cast<void*>(DoBadThunk)},
{"AInputQueue_detachLooper", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AInputQueue_finishEvent", GetTrampolineFunc<auto(void*, void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AInputQueue_fromJava", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AInputQueue_getEvent", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AInputQueue_hasEvents", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AInputQueue_preDispatchEvent", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AInputReceiverCallbacks_create", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AInputReceiverCallbacks_release", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AInputReceiverCallbacks_setKeyEventCallback", GetTrampolineFunc<auto(void*, auto(*)(void*, void*) -> uint8_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AInputReceiverCallbacks_setMotionEventCallback", GetTrampolineFunc<auto(void*, auto(*)(void*, void*) -> uint8_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AInputReceiver_createBatchedInputReceiver", GetTrampolineFunc<auto(void*, void*, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AInputReceiver_createUnbatchedInputReceiver", GetTrampolineFunc<auto(void*, void*, void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AInputReceiver_getInputTransferToken", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AInputReceiver_release", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AInputTransferToken_fromJava", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AInputTransferToken_release", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AInputTransferToken_toJava", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AKeyEvent_fromJava", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AKeyEvent_getAction", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AKeyEvent_getDownTime", GetTrampolineFunc<auto(void*) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"AKeyEvent_getEventTime", GetTrampolineFunc<auto(void*) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"AKeyEvent_getFlags", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AKeyEvent_getKeyCode", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AKeyEvent_getMetaState", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AKeyEvent_getRepeatCount", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AKeyEvent_getScanCode", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ALooper_acquire", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ALooper_addFd", DoCustomTrampoline_ALooper_addFd, reinterpret_cast<void*>(DoBadThunk)},
{"ALooper_forThread", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ALooper_pollAll", GetTrampolineFunc<auto(int32_t, void*, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ALooper_pollOnce", GetTrampolineFunc<auto(int32_t, void*, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ALooper_prepare", GetTrampolineFunc<auto(int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ALooper_release", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ALooper_removeFd", GetTrampolineFunc<auto(void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ALooper_wake", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_fromJava", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getAction", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getActionButton", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getAxisValue", GetTrampolineFunc<auto(void*, int32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getButtonState", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getClassification", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getDownTime", GetTrampolineFunc<auto(void*) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getEdgeFlags", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getEventTime", GetTrampolineFunc<auto(void*) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getFlags", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalAxisValue", GetTrampolineFunc<auto(void*, int32_t, uint32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalEventTime", GetTrampolineFunc<auto(void*, uint32_t) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalOrientation", GetTrampolineFunc<auto(void*, uint32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalPressure", GetTrampolineFunc<auto(void*, uint32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalRawX", GetTrampolineFunc<auto(void*, uint32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalRawY", GetTrampolineFunc<auto(void*, uint32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalSize", GetTrampolineFunc<auto(void*, uint32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalToolMajor", GetTrampolineFunc<auto(void*, uint32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalToolMinor", GetTrampolineFunc<auto(void*, uint32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalTouchMajor", GetTrampolineFunc<auto(void*, uint32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalTouchMinor", GetTrampolineFunc<auto(void*, uint32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalX", GetTrampolineFunc<auto(void*, uint32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistoricalY", GetTrampolineFunc<auto(void*, uint32_t, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getHistorySize", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getMetaState", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getOrientation", GetTrampolineFunc<auto(void*, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getPointerCount", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getPointerId", GetTrampolineFunc<auto(void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getPressure", GetTrampolineFunc<auto(void*, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getRawX", GetTrampolineFunc<auto(void*, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getRawY", GetTrampolineFunc<auto(void*, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getSize", GetTrampolineFunc<auto(void*, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getToolMajor", GetTrampolineFunc<auto(void*, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getToolMinor", GetTrampolineFunc<auto(void*, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getToolType", GetTrampolineFunc<auto(void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getTouchMajor", GetTrampolineFunc<auto(void*, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getTouchMinor", GetTrampolineFunc<auto(void*, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getX", GetTrampolineFunc<auto(void*, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getXOffset", GetTrampolineFunc<auto(void*) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getXPrecision", GetTrampolineFunc<auto(void*) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getY", GetTrampolineFunc<auto(void*, uint32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getYOffset", GetTrampolineFunc<auto(void*) -> float>(), reinterpret_cast<void*>(NULL)},
{"AMotionEvent_getYPrecision", GetTrampolineFunc<auto(void*) -> float>(), reinterpret_cast<void*>(NULL)},
{"ANativeActivity_finish", DoCustomTrampoline_ANativeActivity_finish, reinterpret_cast<void*>(DoBadThunk)},
{"ANativeActivity_hideSoftInput", DoCustomTrampoline_ANativeActivity_hideSoftInput, reinterpret_cast<void*>(DoBadThunk)},
{"ANativeActivity_setWindowFlags", DoCustomTrampoline_ANativeActivity_setWindowFlags, reinterpret_cast<void*>(DoBadThunk)},
{"ANativeActivity_setWindowFormat", DoCustomTrampoline_ANativeActivity_setWindowFormat, reinterpret_cast<void*>(DoBadThunk)},
{"ANativeActivity_showSoftInput", DoCustomTrampoline_ANativeActivity_showSoftInput, reinterpret_cast<void*>(DoBadThunk)},
{"ANativeWindow_acquire", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ANativeWindow_fromSurface", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ANativeWindow_getFormat", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ANativeWindow_getHeight", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ANativeWindow_getWidth", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ANativeWindow_lock", GetTrampolineFunc<auto(void*, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ANativeWindow_release", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ANativeWindow_setBuffersGeometry", GetTrampolineFunc<auto(void*, int32_t, int32_t, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ANativeWindow_toSurface", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ANativeWindow_unlockAndPost", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AObbInfo_delete", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AObbInfo_getFlags", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AObbInfo_getPackageName", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AObbInfo_getVersion", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AObbScanner_getObbInfo", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"APerformanceHint_closeSession", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"APerformanceHint_createSession", GetTrampolineFunc<auto(void*, void*, uint32_t, int64_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"APerformanceHint_getManager", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"APerformanceHint_getPreferredUpdateRateNanos", GetTrampolineFunc<auto(void*) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"APerformanceHint_getThreadIds", GetTrampolineFunc<auto(void*, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APerformanceHint_reportActualWorkDuration", GetTrampolineFunc<auto(void*, int64_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APerformanceHint_reportActualWorkDuration2", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APerformanceHint_sendHint", GetTrampolineFunc<auto(void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APerformanceHint_setIHintManagerForTesting", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"APerformanceHint_setPreferPowerEfficiency", GetTrampolineFunc<auto(void*, uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APerformanceHint_setThreads", GetTrampolineFunc<auto(void*, void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APerformanceHint_updateTargetWorkDuration", GetTrampolineFunc<auto(void*, int64_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"APermissionManager_checkPermission", GetTrampolineFunc<auto(void*, int32_t, uint32_t, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorEventQueue_disableSensor", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorEventQueue_enableSensor", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorEventQueue_getEvents", GetTrampolineFunc<auto(void*, void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorEventQueue_hasEvents", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorEventQueue_registerSensor", GetTrampolineFunc<auto(void*, void*, int32_t, int64_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorEventQueue_requestAdditionalInfoEvents", GetTrampolineFunc<auto(void*, uint8_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorEventQueue_setEventRate", GetTrampolineFunc<auto(void*, void*, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorManager_configureDirectReport", GetTrampolineFunc<auto(void*, void*, int32_t, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorManager_createEventQueue", DoCustomTrampoline_ASensorManager_createEventQueue, reinterpret_cast<void*>(DoBadThunk)},
{"ASensorManager_createHardwareBufferDirectChannel", GetTrampolineFunc<auto(void*, void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorManager_createSharedMemoryDirectChannel", GetTrampolineFunc<auto(void*, int32_t, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorManager_destroyDirectChannel", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASensorManager_destroyEventQueue", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorManager_getDefaultSensor", GetTrampolineFunc<auto(void*, int32_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASensorManager_getDefaultSensorEx", GetTrampolineFunc<auto(void*, int32_t, uint8_t) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASensorManager_getDynamicSensorList", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensorManager_getInstance", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASensorManager_getInstanceForPackage", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASensorManager_getSensorList", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensor_getFifoMaxEventCount", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensor_getFifoReservedEventCount", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensor_getHandle", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensor_getHighestDirectReportRateLevel", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensor_getMinDelay", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensor_getName", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASensor_getReportingMode", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensor_getResolution", GetTrampolineFunc<auto(void*) -> float>(), reinterpret_cast<void*>(NULL)},
{"ASensor_getStringType", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASensor_getType", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASensor_getVendor", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASensor_isDirectChannelTypeSupported", GetTrampolineFunc<auto(void*, int32_t) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"ASensor_isWakeUpSensor", GetTrampolineFunc<auto(void*) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"ASharedMemory_create", GetTrampolineFunc<auto(void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASharedMemory_dupFromJava", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASharedMemory_getSize", GetTrampolineFunc<auto(int32_t) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"ASharedMemory_setProt", GetTrampolineFunc<auto(int32_t, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AStorageManager_delete", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AStorageManager_getMountedObbPath", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AStorageManager_isObbMounted", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AStorageManager_mountObb", DoCustomTrampoline_AStorageManager_mountObb, reinterpret_cast<void*>(DoBadThunk)},
{"AStorageManager_new", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AStorageManager_unmountObb", DoCustomTrampoline_AStorageManager_unmountObb, reinterpret_cast<void*>(DoBadThunk)},
{"ASurfaceControlStats_getAcquireTime", GetTrampolineFunc<auto(void*) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceControlStats_getFrameNumber", GetTrampolineFunc<auto(void*) -> uint64_t>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceControl_acquire", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceControl_create", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceControl_createFromWindow", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceControl_fromJava", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceControl_getChoreographer", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceControl_registerSurfaceStatsListener", GetTrampolineFunc<auto(void*, int32_t, void*, auto(*)(void*, int32_t, void*) -> void) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceControl_release", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceControl_unregisterSurfaceStatsListener", GetTrampolineFunc<auto(void*, auto(*)(void*, int32_t, void*) -> void) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTexture_acquireANativeWindow", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTexture_attachToGLContext", GetTrampolineFunc<auto(void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTexture_detachFromGLContext", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTexture_fromSurfaceTexture", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTexture_getTimestamp", GetTrampolineFunc<auto(void*) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTexture_getTransformMatrix", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTexture_release", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTexture_updateTexImage", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransactionStats_getASurfaceControls", GetTrampolineFunc<auto(void*, void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransactionStats_getAcquireTime", GetTrampolineFunc<auto(void*, void*) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransactionStats_getLatchTime", GetTrampolineFunc<auto(void*) -> int64_t>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransactionStats_getPresentFenceFd", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransactionStats_getPreviousReleaseFenceFd", GetTrampolineFunc<auto(void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransactionStats_releaseASurfaceControls", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_apply", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_clearFrameRate", GetTrampolineFunc<auto(void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_create", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_delete", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_fromJava", GetTrampolineFunc<auto(void*, void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_reparent", GetTrampolineFunc<auto(void*, void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setBuffer", GetTrampolineFunc<auto(void*, void*, void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setBufferAlpha", GetTrampolineFunc<auto(void*, void*, float) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setBufferDataSpace", GetTrampolineFunc<auto(void*, void*, uint32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setBufferTransform", GetTrampolineFunc<auto(void*, void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setBufferTransparency", GetTrampolineFunc<auto(void*, void*, int8_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setColor", GetTrampolineFunc<auto(void*, void*, float, float, float, float, uint32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setCrop", GetTrampolineFunc<auto(void*, void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setDamageRegion", GetTrampolineFunc<auto(void*, void*, void*, uint32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setDesiredHdrHeadroom", GetTrampolineFunc<auto(void*, void*, float) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setDesiredPresentTime", GetTrampolineFunc<auto(void*, int64_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setEnableBackPressure", GetTrampolineFunc<auto(void*, void*, uint8_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setExtendedRangeBrightness", GetTrampolineFunc<auto(void*, void*, float, float) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setFrameRate", GetTrampolineFunc<auto(void*, void*, float, int8_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setFrameRateWithChangeStrategy", GetTrampolineFunc<auto(void*, void*, float, int8_t, int8_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setFrameTimeline", GetTrampolineFunc<auto(void*, int64_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setGeometry", GetTrampolineFunc<auto(void*, void*, void*, void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setHdrMetadata_cta861_3", GetTrampolineFunc<auto(void*, void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setHdrMetadata_smpte2086", GetTrampolineFunc<auto(void*, void*, void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setOnCommit", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, void*) -> void) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setOnComplete", GetTrampolineFunc<auto(void*, void*, auto(*)(void*, void*) -> void) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setPosition", GetTrampolineFunc<auto(void*, void*, int32_t, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setScale", GetTrampolineFunc<auto(void*, void*, float, float) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setVisibility", GetTrampolineFunc<auto(void*, void*, int8_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASurfaceTransaction_setZOrder", GetTrampolineFunc<auto(void*, void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASystemFontIterator_close", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ASystemFontIterator_next", GetTrampolineFunc<auto(void*) -> void*>(), reinterpret_cast<void*>(NULL)},
{"ASystemFontIterator_open", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AThermal_acquireManager", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AThermal_getCurrentThermalStatus", GetTrampolineFunc<auto(void*) -> uint32_t>(), reinterpret_cast<void*>(NULL)},
{"AThermal_getThermalHeadroom", GetTrampolineFunc<auto(void*, int32_t) -> float>(), reinterpret_cast<void*>(NULL)},
{"AThermal_getThermalHeadroomThresholds", GetTrampolineFunc<auto(void*, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AThermal_registerThermalStatusListener", GetTrampolineFunc<auto(void*, auto(*)(void*, uint32_t) -> void, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"AThermal_releaseManager", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AThermal_setIThermalServiceForTesting", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AThermal_unregisterThermalStatusListener", GetTrampolineFunc<auto(void*, auto(*)(void*, uint32_t) -> void, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"ATrace_beginAsyncSection", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ATrace_beginSection", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"ATrace_endAsyncSection", GetTrampolineFunc<auto(void*, int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"ATrace_endSection", GetTrampolineFunc<auto(void) -> void>(), reinterpret_cast<void*>(NULL)},
{"ATrace_isEnabled", GetTrampolineFunc<auto(void) -> uint8_t>(), reinterpret_cast<void*>(NULL)},
{"ATrace_setCounter", GetTrampolineFunc<auto(void*, int64_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AWorkDuration_create", GetTrampolineFunc<auto(void) -> void*>(), reinterpret_cast<void*>(NULL)},
{"AWorkDuration_release", GetTrampolineFunc<auto(void*) -> void>(), reinterpret_cast<void*>(NULL)},
{"AWorkDuration_setActualCpuDurationNanos", GetTrampolineFunc<auto(void*, int64_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AWorkDuration_setActualGpuDurationNanos", GetTrampolineFunc<auto(void*, int64_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AWorkDuration_setActualTotalDurationNanos", GetTrampolineFunc<auto(void*, int64_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"AWorkDuration_setWorkPeriodStartTimestampNanos", GetTrampolineFunc<auto(void*, int64_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"android_getaddrinfofornetwork", GetTrampolineFunc<auto(uint64_t, void*, void*, void*, void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"android_getprocdns", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"android_getprocnetwork", GetTrampolineFunc<auto(void*) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"android_res_cancel", GetTrampolineFunc<auto(int32_t) -> void>(), reinterpret_cast<void*>(NULL)},
{"android_res_nquery", GetTrampolineFunc<auto(uint64_t, void*, int32_t, int32_t, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"android_res_nresult", GetTrampolineFunc<auto(int32_t, void*, void*, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"android_res_nsend", GetTrampolineFunc<auto(uint64_t, void*, uint32_t, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"android_setprocdns", GetTrampolineFunc<auto(uint64_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"android_setprocnetwork", GetTrampolineFunc<auto(uint64_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"android_setsocknetwork", GetTrampolineFunc<auto(uint64_t, int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"android_tag_socket", GetTrampolineFunc<auto(int32_t, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"android_tag_socket_with_uid", GetTrampolineFunc<auto(int32_t, uint32_t, uint32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
{"android_untag_socket", GetTrampolineFunc<auto(int32_t) -> int32_t>(), reinterpret_cast<void*>(NULL)},
};  // kKnownTrampolines
const KnownVariable kKnownVariables[] = {
};  // kKnownVariables
// clang-format on
